# pandas.DataFrame.set_index

`DataFrame.``set_index`(keys, drop=True, append=False, inplace=False, verify_integrity=False)

  Set the DataFrame index (row labels) using one or more existing columns. By default yields a new object.

  Parameters:

  keys : column label or list of column labels / arrays

  drop : boolean, default True

  > Delete columns to be used as the new index

  append : boolean, default False

  > Whether to append columns to existing index

  inplace : boolean, default False

  > Modify the DataFrame in place (do not create a new object)

  verify_integrity : boolean, default False

  > Check the new index for duplicates. Otherwise defer the check until necessary. Setting to False will improve the performance of this method

  Returns: | dataframe : DataFrame

  Examples

      >>> indexed_df = df.set_index(['A', 'B'])
      >>> indexed_df2 = df.set_index(['A', [0, 1, 2, 0, 1, 2]])
      >>> indexed_df3 = df.set_index([[0, 1, 2, 0, 1, 2]])